package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.ism.IntegralLog;

import java.util.List;

/**
 *  积分记录表接口
 * @author Administrator
 * @Date 2019-11-10
 */
public interface IntegralLogMapper {
    /**
     * 获取集合
     * @param  integralLog
     * @return List
     */
    List<IntegralLog> getIntegralLogList(IntegralLog integralLog);

    /**
     * 获取集合 - 前端页面，获取增加积分和消费积分记录
     * @param  integralLog
     * @return List
     */
    List<IntegralLog> getIntegralLogListByAccoUser(IntegralLog integralLog);

    /**
     * 获取集合-定时器，获取所有待入账记录
     * @return List
     */
    List<IntegralLog> getIntegralLogListByWaitUser();

    /**
     * 查询单条数据
     * @param  id
     * @return  integralLog
     */
    IntegralLog getIntegralLogById(Integer id);
    /**
     * 增加数据
     * @param  integralLog
     * @return Integer
     */
    Integer  save(IntegralLog integralLog);
    /**
     * 修改数据
     * @param  integralLog
     * @return Integer
     */
    Integer  update(IntegralLog integralLog);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer id);
}
